/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorTranslationFragmentToPleiadesProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorTranslationFragmentToPleiadesProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourcefile]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [conf/BlancoNLpackGeneratorTranslationFragment.csv]<br>
     * 入力ファイル。
     */
    private String fSourcefile = "conf/BlancoNLpackGeneratorTranslationFragment.csv";

    /**
     * フィールド [targetfile]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [tmp/BlancoNLpackGeneratorTranslationFragment.properties]<br>
     * 出力ファイル。
     */
    private String fTargetfile = "tmp/BlancoNLpackGeneratorTranslationFragment.properties";

    /**
     * フィールド [sourcedir]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイルが格納されたディレクトリ。sourcefileかいずれかを指定。
     */
    private String fSourcedir;

    /**
     * フィールド [targetdir]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイルが格納されたディレクトリ。targetfileかいずれかを指定。
     */
    private String fTargetdir;

    /**
     * フィールド [contributor]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [<contributor>]<br>
     * 貢献者の名前。
     */
    private String fContributor = "<contributor>";

    /**
     * フィールド [isoutputdate]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * 日付を出力するかどうか。
     */
    private boolean fIsoutputdate = true;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcefile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイル。
     *
     * @param argSourcefile フィールド[sourcefile]に格納したい値
     */
    public void setSourcefile(final String argSourcefile) {
        fSourcefile = argSourcefile;
    }

    /**
     * フィールド[sourcefile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [conf/BlancoNLpackGeneratorTranslationFragment.csv]<br>
     * 入力ファイル。
     *
     * @return フィールド[sourcefile]に格納されている値
     */
    public String getSourcefile() {
        return fSourcefile;
    }

    /**
     * フィールド [targetfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイル。
     *
     * @param argTargetfile フィールド[targetfile]に格納したい値
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド[targetfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [tmp/BlancoNLpackGeneratorTranslationFragment.properties]<br>
     * 出力ファイル。
     *
     * @return フィールド[targetfile]に格納されている値
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [sourcedir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイルが格納されたディレクトリ。sourcefileかいずれかを指定。
     *
     * @param argSourcedir フィールド[sourcedir]に格納したい値
     */
    public void setSourcedir(final String argSourcedir) {
        fSourcedir = argSourcedir;
    }

    /**
     * フィールド[sourcedir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイルが格納されたディレクトリ。sourcefileかいずれかを指定。
     *
     * @return フィールド[sourcedir]に格納されている値
     */
    public String getSourcedir() {
        return fSourcedir;
    }

    /**
     * フィールド [targetdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイルが格納されたディレクトリ。targetfileかいずれかを指定。
     *
     * @param argTargetdir フィールド[targetdir]に格納したい値
     */
    public void setTargetdir(final String argTargetdir) {
        fTargetdir = argTargetdir;
    }

    /**
     * フィールド[targetdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイルが格納されたディレクトリ。targetfileかいずれかを指定。
     *
     * @return フィールド[targetdir]に格納されている値
     */
    public String getTargetdir() {
        return fTargetdir;
    }

    /**
     * フィールド [contributor]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 貢献者の名前。
     *
     * @param argContributor フィールド[contributor]に格納したい値
     */
    public void setContributor(final String argContributor) {
        fContributor = argContributor;
    }

    /**
     * フィールド[contributor]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [<contributor>]<br>
     * 貢献者の名前。
     *
     * @return フィールド[contributor]に格納されている値
     */
    public String getContributor() {
        return fContributor;
    }

    /**
     * フィールド [isoutputdate]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 日付を出力するかどうか。
     *
     * @param argIsoutputdate フィールド[isoutputdate]に格納したい値
     */
    public void setIsoutputdate(final boolean argIsoutputdate) {
        fIsoutputdate = argIsoutputdate;
    }

    /**
     * フィールド[isoutputdate]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * 日付を出力するかどうか。
     *
     * @return フィールド[isoutputdate]に格納されている値
     */
    public boolean getIsoutputdate() {
        return fIsoutputdate;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorTranslationFragmentToPleiadesProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcefile=" + fSourcefile);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",sourcedir=" + fSourcedir);
        buf.append(",targetdir=" + fTargetdir);
        buf.append(",contributor=" + fContributor);
        buf.append(",isoutputdate=" + fIsoutputdate);
        buf.append("]");
        return buf.toString();
    }
}
